#
# Please do not update/rebuild/touch this package before asking first to mikala , lmenut and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        Plasma System Settings
Name:           systemsettings
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  kitemviews-devel
BuildRequires:  kcmutils-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  kservice-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  khtml-devel
BuildRequires:  kdelibs4support-devel

Conflicts:      kde-l10n < 15.10.0

Requires:       sddm-kcm

%description
Plasma System Settings

%files -f %name.lang
%_kf5_bindir/systemsettings5
%_qt5_plugindir/*.so
%_kf5_datadir/applications/*.desktop
%_kf5_services/*.desktop
%_kf5_servicetypes/*.desktop
%_kf5_datadir/systemsettings
%_kf5_datadir/kxmlgui5/systemsettings

#--------------------------------------------------------------------

%define systemsettingsview_major 3
%define libsystemsettingsview %mklibname systemsettingsview %{systemsettingsview_major}

%package -n %libsystemsettingsview
Summary:      Plasma System Settings
Group:        System/Libraries


%description -n %libsystemsettingsview
Plasma System Settings

%files -n %libsystemsettingsview
%_kf5_libdir/libsystemsettingsview.so.%{systemsettingsview_major}*

#--------------------------------------------------------------------

%define systemsettings_devel %mklibname %name -d

%package -n %systemsettings_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libsystemsettingsview = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel < 2:4.11.21

%description -n %systemsettings_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %systemsettings_devel
%_includedir/systemsettingsview
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-handbook < 2:4.11.21

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_docdir/HTML/*/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%version
%apply_patches

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build
%find_lang  %name


%changelog
* Thu Mar 09 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090610
- Rebuild for ARMv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089047
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078183
- New version 5.8.5

* Tue Nov 29 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070914
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065076
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064500
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063070
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060295
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057621
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053077
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052706
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048371
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044291
- New version 5.7.3

* Sat Jul 30 2016 neoclust <neoclust> 5.7.2-2.mga6
+ Revision: 1043896
- Requires sddm-kcm ( mga #19098)

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042579
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041416
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039521
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021893
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014561
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009298
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999282
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998037
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994415
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987060
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983763
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927991
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922525
- New version 5.5.3

* Thu Dec 31 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 917188
- Add conflicts to ease update

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914862
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913603
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910707
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908867
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904421
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900748
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898279
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889537
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874748
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869666
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862556
- New version 5.3.95

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 860893
- Add back pop files

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 860305
- Fix conflicts against kdebase4-workspace-devel

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 855485
- Fix conflict with kdebase4-workspace-handbook

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850715
- New version 5.3.2

* Sun Dec 21 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804544
- New version 5.1.2

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793593
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 739990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 689668
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664567
- Rename -devel

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663941
- Rename as this is not a framework
- Rename

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 663197
- imported package kf5-systemsettings

